let Validator = require("fastest-validator");

let v = new Validator();

const schema = {
    id: { type: "number", positive: true, integer: true },
    name: { type: "string", min: 3, max: 255 },
    status: "boolean" // short-hand def
};

let res = v.validate({ id: 5, name: "John", status: true }, schema);
console.log(res === true ? "VALID" : "FAIL: " + res[0].message);

res = v.validate({ id: 5, name: "Al", status: true }, schema);
console.log(res === true ? "VALID" : "FAIL: " + res[0].message);
;
